Bug 113364

Summary: new port mail/p5-MIME-Charset
Product: Ports & Packages Reporter: Olivier Girard <Olivier.Girard>
Component: Individual Port(s)Assignee: Martin Wilke <miwi>
Status: Closed FIXED    
Severity: Affects Only Me CC: Olivier.Girard
Priority: Normal    
Version: Latest   
Hardware: Any   
OS: Any   

Description Olivier Girard 2007-06-05 14:40:18 UTC
	
Perl package MIME::Charset - Charset Informations for MIME

This package is required by MIME::EncWords whitch i need to
update mail/sympa5 to current version.
I'm submiting MIME::EncWords soon after this one.

Fix: 

.--zq0SUVuTw3RfvTGvjxzYMfT55o1WYGtbmWKHCzMRldzPzfEq
Content-Type: text/plain; name="p5-MIME-Charset.shar"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment; filename="p5-MIME-Charset.shar"

# This is a shell archive.  Save it in a file, remove anything before
# this line, and then unpack it by entering "sh file".  Note, it may
# create directories; files and directories will be owned by you and
# have default permissions.
#
# This archive contains:
#
#	p5-MIME-Charset
#	p5-MIME-Charset/Makefile
#	p5-MIME-Charset/pkg-plist
#	p5-MIME-Charset/pkg-descr
#	p5-MIME-Charset/distinfo
#
echo c - p5-MIME-Charset
mkdir -p p5-MIME-Charset > /dev/null 2>&1
echo x - p5-MIME-Charset/Makefile
sed 's/^X//' >p5-MIME-Charset/Makefile << 'END-of-p5-MIME-Charset/Makefile'
X# New ports collection makefile for:	mail/p5-MIME-Charset
X# Date created:				05 June 2007
X# Whom:					Olivier Girard <Olivier.Girard@univ-angers.fr>
X#
X# $FreeBSD:$
X#
X
XPORTNAME=	MIME-Charset
XPORTVERSION=	0.044
XCATEGORIES=	mail perl5
XMASTER_SITES=	${MASTER_SITE_PERL_CPAN}
XMASTER_SITE_SUBDIR=	MIME
XPKGNAMEPREFIX=	p5-
X
XMAINTAINER=	Olivier.Girard@univ-angers.fr
XCOMMENT=	MIME::Charset - Charset Informations for MIME
X
XPERL_CONFIGURE=	yes
X
XMAN3=		\
X		MIME::Charset.3 \
X		MIME::Charset-ja_JP.3
X
X.include <bsd.port.mk>
END-of-p5-MIME-Charset/Makefile
echo x - p5-MIME-Charset/pkg-plist
sed 's/^X//' >p5-MIME-Charset/pkg-plist << 
'END-of-p5-MIME-Charset/pkg-plist'
X%%SITE_PERL%%/%%PERL_ARCH%%/auto/MIME/Charset/.packlist
X%%SITE_PERL%%/MIME/Charset-ja_JP.pod
X%%SITE_PERL%%/MIME/Charset.pm
X%%SITE_PERL%%/MIME/Charset/_Compat.pm
X@dirrm %%SITE_PERL%%/%%PERL_ARCH%%/auto/MIME/Charset
X@dirrmtry %%SITE_PERL%%/%%PERL_ARCH%%/auto/MIME
X@dirrm %%SITE_PERL%%/MIME/Charset
X@dirrmtry %%SITE_PERL%%/MIME
END-of-p5-MIME-Charset/pkg-plist
echo x - p5-MIME-Charset/pkg-descr
sed 's/^X//' >p5-MIME-Charset/pkg-descr << 
'END-of-p5-MIME-Charset/pkg-descr'
XMIME::Charset provides informations about character sets used for MIME
Xmessages on Internet.
X
X
XAuthor: <hatuka@nezumi.nu>
XWWW: http://search.cpan.org/dist/MIME-Charset/
END-of-p5-MIME-Charset/pkg-descr
echo x - p5-MIME-Charset/distinfo
sed 's/^X//' >p5-MIME-Charset/distinfo << 'END-of-p5-MIME-Charset/distinfo'
XMD5 (MIME-Charset-0.044.tar.gz) = 782acf737cc17898341cb68511ca9041
XSHA256 (MIME-Charset-0.044.tar.gz) = 
a3b3cc4009850492e75e3b34bae72ab9475df380fa031b398a140557af735e25
XSIZE (MIME-Charset-0.044.tar.gz) = 29499
END-of-p5-MIME-Charset/distinfo
exit
Comment 1 Martin Wilke freebsd_committer 2007-06-05 22:47:49 UTC
Responsible Changed
From-To: freebsd-ports-bugs->miwi

I'll take it.
Comment 2 Martin Wilke freebsd_committer 2007-06-06 13:59:48 UTC
State Changed
From-To: open->feedback


shar is corrupt 

[15:07][miwi@miwi] $ sh pr-patch 
(~/dev/ports/mail) ---: not found c - p5-MIME-Charset x - 
p5-MIME-Charset/Makefile x - p5-MIME-Charset/pkg-plist pr-patch: 48: 
Syntax error: newline unexpected 

could you send me as attachment ?
Comment 3 Martin Wilke freebsd_committer 2007-06-06 18:14:15 UTC
State Changed
From-To: feedback->closed

New port added. Thanks!
Comment 4 dfilter service freebsd_committer 2007-06-06 18:14:32 UTC
miwi        2007-06-06 17:14:24 UTC

  FreeBSD ports repository

  Modified files:
    mail                 Makefile 
  Added files:
    mail/p5-MIME-Charset Makefile distinfo pkg-descr pkg-plist 
  Log:
  MIME::Charset provides informations about character sets used for MIME
  messages on Internet.
  
  WWW: http://search.cpan.org/dist/MIME-Charset/
  
  PR:             ports/113364
  Submitted by:   Olivier Girard <Olivier.Girard at univ-angers.fr>
  
  Revision  Changes    Path
  1.848     +1 -0      ports/mail/Makefile
  1.1       +24 -0     ports/mail/p5-MIME-Charset/Makefile (new)
  1.1       +3 -0      ports/mail/p5-MIME-Charset/distinfo (new)
  1.1       +6 -0      ports/mail/p5-MIME-Charset/pkg-descr (new)
  1.1       +8 -0      ports/mail/p5-MIME-Charset/pkg-plist (new)
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"